View Issue Details

IDProjectCategoryView StatusLast Update
0002033Ham Radio DeluxeBugpublic2017-07-09 18:59
ReporterK7ZCZ 
Assigned ToERIK 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.649 
Target VersionFixed in Version6.4.0.659 
Summary0002033: Setup installs two unused files
DescriptionThe setup program installs a file named LogbookDLL.dll. I can't find any references in code for this file, and it seems like we've not built it for years. The file date after an install is in July 2012, and it is stamped Version 5.24.0.5.

Setup also installs HRDSats001.DLL; I can't find any reference to it in the code, either. The file date is from October 2011, and has a ProductVersion of 5.0

If the product doesn't need these files, they shouldn't be installed.
Steps To Reproduce1) Run Setup
2) Look for HRDStats001.DLL in the target directory (by default, it's C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe)
3) Look for LogbookDLL.DLL in the same directory.

TagsNo tags attached.
ModuleAll
Sub-ModuleInstall
Testing Beta Successful

Relationships

Activities

K7ZCZ

2017-06-29 02:18

manager   ~0003414

This is an issue with the setup inventory. Erik, can you please have a look?

WA9PIE

2017-07-04 23:30

administrator   ~0003471

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003506

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003578

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-17 09:27 K7ZCZ New Issue
2017-06-29 02:18 K7ZCZ Note Added: 0003414
2017-06-29 02:19 K7ZCZ Assigned To => ERIK
2017-06-29 02:19 K7ZCZ Status new => assigned
2017-06-30 18:15 ERIK Status assigned => resolved
2017-06-30 18:15 ERIK Resolution open => fixed
2017-06-30 18:15 ERIK Fixed in Version => 6.5
2017-06-30 18:15 ERIK Module All (Installer) => All
2017-06-30 18:15 ERIK Testing => Not Started
2017-07-01 08:31 WA9PIE Fixed in Version 6.5 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003471
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003506
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003578
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful